<template>
    <nav>
        <ul class="pagination justify-content-center">
            <li v-for="(link, index) in links" :key="index" class="page-item" :class="{active: link.active, disabled: link.url === null}">
                <inertia-link v-if="link.url !== null" class="page-link" :href="link.url" v-html="link.label"></inertia-link>
                <span v-else class="page-link" v-html="link.label"></span>
            </li>
        </ul>
    </nav>
</template>

<script>
    export default {
        props: {
            links: Array,
        },
    }
</script>